Error al visualizar productos de woocommerce de mi web  

 
JORGE
 JORGE
Usuario eminente

Buenas tardes,

Al pinchar en cualquier producto de mi web me aparece la siguiente pantalla (adjunto captura)

He revisado cual puede ser el problema y me dice:

Tu tema (Dante Child Theme) contiene copias no actualizadas de algunos archivos de plantilla WooCommerce. Estos archivos necesitan modificarse para que sean compatibles con la versión actual de WooCommerce. Puedes ver qué archivos se han visto afectados en la página del estado del sistema. En caso de duda, consulta con el autor del tema.

Qué debo hacer? Desinstalo el plugin de woocommerce e instalo la nueva versión?

Muchas gracias.

Un saludo.

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 16/05/2018 6:17 pm
Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

Lo que sucede es que el theme que usas posiblemente no esta actualizado, es decir Woocommerce en versiones recientes viene cambiando los archivos de vista, algunos themes incluyen modificaicones a estos archivos ( en la carpeta woocommerce de tu theme), por lo que te sugiere Woocommerce es que revises estos archivos que estan sobreescribiendo los archivos de vista y que los actualices porque al parecer no son compatibles con la versión actual de Woocommerce.

- Frente a esto como te comenté lo más práctico es que revises si tu theme tiene actualizaciones.
- La otra opción sería renombrar la carpeta de woocommerce que tiene tu theme, en este caso perderías el diseño de la plantilla para Woocommerce
- Una opción final, tendrías que revisar los archivos y cambiar manualmente, aunque esto implica temas de programación, ya que debes verificar qué funciones han cambiado, y luego cambiar la versión en los comentarios.

Saludos.

ResponderCitar
Respondido : 16/05/2018 7:58 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

JORGE
 JORGE
Usuario eminente

Buenas tardes,

Si borro el plugin de Woocommerce y vuelvo a instalar la versión que tenía se solucionará el problema?

Muchas gracias!

Un saludo.

ResponderCitar
Respondido : 17/05/2018 6:04 pm
Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

Si, si retrocedes la versión, entonces no habrá mensajes que te digan que no esta acorde con tu theme.

Sin embargo sería una solución temporal ya que igual en algún momento vas a tener que actualizar Woocommerce o WordPress o algun plugin dependiente de Woocommerce, lo mejor sería que veas si tu theme tiene actualizaciones.

Saludos.

ResponderCitar
Respondido : 17/05/2018 7:04 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación